## Apache Zeta Components Manual :: Docs For Class ezcGraphAxisContainer

### Graph::ezcGraphAxisContainer

### Class ezcGraphAxisContainer

The axis container class is internally used to store and validate sets of axis, and offering access using the SPL ArrayAccess interface to add or modify its contents.

Source for this file: /Graph/src/axis/container.php

### Implements interfaces:

- Countable (internal interface)
- ArrayAccess (internal interface)
- Iterator (internal interface)

Version: | //autogentag//

### Member Variables

protected ezcGraphLineChart | `$chart` Chart the container is used with
protected array(ezcGraphChartElementAxis) | `$data = array()` Contains the data of a chart

### Method Summary

public int | `count( )` Returns the number of datasets in the row.
public ezcGraphChartElementAxis | `current( )` Returns the currently selected dataset.
public int | `key( )` Returns the key of the currently selected dataset.
public mixed | `next( )` Returns the next dataset and selects it or false on the last dataset.
public bool | `offsetExists( $key )` Returns if the given offset exists.
public ezcGraphChartElementAxis | `offsetGet( $key )` Returns the element with the given offset.
public void | `offsetSet( $key , $value )` Set the element with the given offset.
public void | `offsetUnset( $key )` Unset the element with the given offset.
public ezcGraphChartElementAxis | `rewind( )` Selects the very first dataset and returns it.
public bool | `valid( )` Returns if the current dataset is valid.

### Methods

#### count

int count( )

Returns the number of datasets in the row.

This method is part of the Countable interface to allow the usage of PHP's count() function to check how many datasets exist.

##### Implementation of:

Method | Description
--- | ---
`Countable::count` |

#### current

ezcGraphChartElementAxis current( )

Returns the currently selected dataset.

This method is part of the Iterator interface to allow access to the datasets of this row by iterating over it like an array (e.g. using foreach).

##### Implementation of:

Method | Description
--- | ---
`Iterator::current` |

#### key

int key( )

Returns the key of the currently selected dataset.

This method is part of the Iterator interface to allow access to the datasets of this row by iterating over it like an array (e.g. using foreach).

##### Implementation of:

Method | Description
--- | ---
`Iterator::key` |

#### next

mixed next( )

Returns the next dataset and selects it or false on the last dataset.

This method is part of the Iterator interface to allow access to the datasets of this row by iterating over it like an array (e.g. using foreach).

##### Implementation of:

Method | Description
--- | ---
`Iterator::next` |

#### offsetExists

bool offsetExists( string $key )

Returns if the given offset exists.

This method is part of the ArrayAccess interface to allow access to the data of this object as if it was an array.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$key` | string | Identifier of dataset.

##### Implementation of:

Method | Description
--- | ---
`ArrayAccess::offsetExists` |

#### offsetGet

ezcGraphChartElementAxis offsetGet( string $key )

Returns the element with the given offset.

This method is part of the ArrayAccess interface to allow access to the data of this object as if it was an array.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$key` | string | Identifier of dataset.

##### Exceptions:

Type | Description
--- | ---
`ezcBasePropertyNotFoundException` | If no dataset with identifier exists

##### Implementation of:

Method | Description
--- | ---
`ArrayAccess::offsetGet` |

#### offsetSet

void offsetSet( string $key , ezcGraphChartElementAxis $value )

Set the element with the given offset.

This method is part of the ArrayAccess interface to allow access to the data of this object as if it was an array.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$key` | string |
`$value` | ezcGraphChartElementAxis |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | If supplied value is not an ezcGraphChartElementAxis

##### Implementation of:

Method | Description
--- | ---
`ArrayAccess::offsetSet` |

#### offsetUnset

void offsetUnset( string $key )

Unset the element with the given offset.

This method is part of the ArrayAccess interface to allow access to the data of this object as if it was an array.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$key` | string |

##### Implementation of:

Method | Description
--- | ---
`ArrayAccess::offsetUnset` |

#### rewind

ezcGraphChartElementAxis rewind( )

Selects the very first dataset and returns it.

This method is part of the Iterator interface to allow access to the datasets of this row by iterating over it like an array (e.g. using foreach).

##### Implementation of:

Method | Description
--- | ---
`Iterator::rewind` |

#### valid

bool valid( )

Returns if the current dataset is valid.

This method is part of the Iterator interface to allow access to the datasets of this row by iterating over it like an array (e.g. using foreach).

##### Implementation of:

Method | Description
--- | ---
`Iterator::valid` |

Documentation generated by phpDocumentor 1.4.3